Bug 459567 - Non-equal gtk_color_scheme in ~/.gtkrc and gconf makes GTK enter endless loop
Non-equal gtk_color_scheme in ~/.gtkrc and gconf makes GTK enter endless loop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 04:12 EDT by Kir Kolyshkin
Modified: 2009-12-18 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:19:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
result of strace on g-s-d (strace -fF -oout -p 6086) for a few seconds (7.74 MB, text/plain)
2008-08-20 04:12 EDT, Kir Kolyshkin
no flags Details

  None (edit)
Description Kir Kolyshkin 2008-08-20 04:12:11 EDT
Created attachment 314612 [details]
result of strace on g-s-d (strace -fF -oout -p 6086) for a few seconds

Description of problem:
Upon starting gnome-session, gnome-settings-daemon went mad, starting to fire up xrdb instances but not reaping those -- all in an endless loop. The result is fork: Resource temporary unavailable' error on every attempt to run anything (including attempts to log in as the same user on another text console) because of RLIMIT_NPROC rlimit reached.

Version-Release number of selected component (if applicable):
$ rpm -q gnome-settings-daemon
gnome-settings-daemon-2.22.2.1-2.fc9.x86_64

How reproducible:
Haven't tried to.

Steps to Reproduce:
1. Set initdefault to 3
2. Reboot. Text login will appear
3. Login as a user.
4. Run sudo /sbin/init 5. Graphical login will appear.
5. Login as a user.

Actual results:
fork: Resource temporary unavailable' error on every attempt to run anything (including attempts to log in as the same user on another text console).

Expected results:


Additional info:
$ uname -a
Linux kir.sw.ru 2.6.25.14-108.fc9.x86_64 #1 SMP Mon Aug 4 13:46:35 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

Here is 'ps ax' with the relevant portion marked:
[kir@kir ~]$ ps axf
  PID TTY      STAT   TIME COMMAND
    2 ?        S<     0:00 [kthreadd]
    3 ?        S<     0:00  \_ [migration/0]
    4 ?        S<     0:00  \_ [ksoftirqd/0]
    5 ?        S<     0:00  \_ [watchdog/0]
    6 ?        S<     0:00  \_ [migration/1]
    7 ?        S<     0:00  \_ [ksoftirqd/1]
    8 ?        S<     0:00  \_ [watchdog/1]
    9 ?        S<     0:01  \_ [events/0]
   10 ?        S<     0:00  \_ [events/1]
   11 ?        S<     0:00  \_ [khelper]
   59 ?        S<     0:00  \_ [kblockd/0]
   60 ?        S<     0:00  \_ [kblockd/1]
   62 ?        S<     0:00  \_ [kacpid]
   63 ?        S<     0:00  \_ [kacpi_notify]
  148 ?        S<     0:00  \_ [cqueue]
  150 ?        S<     0:00  \_ [ksuspend_usbd]
  155 ?        S<     0:00  \_ [khubd]
  158 ?        S<     0:00  \_ [kseriod]
  212 ?        S      0:00  \_ [pdflush]
  213 ?        S      0:00  \_ [pdflush]
  214 ?        S<     0:00  \_ [kswapd0]
  261 ?        S<     0:00  \_ [aio/0]
  262 ?        S<     0:00  \_ [aio/1]
  422 ?        S<     0:00  \_ [kpsmoused]
  479 ?        S<     0:00  \_ [ata/0]
  480 ?        S<     0:00  \_ [ata/1]
  481 ?        S<     0:00  \_ [ata_aux]
  485 ?        S<     0:00  \_ [scsi_eh_0]
  486 ?        S<     0:00  \_ [scsi_eh_1]
  487 ?        S<     0:00  \_ [scsi_eh_2]
  488 ?        S<     0:00  \_ [scsi_eh_3]
  498 ?        S<     0:00  \_ [kstriped]
  508 ?        S<     0:00  \_ [ksnapd]
  512 ?        S<     0:00  \_ [scsi_eh_4]
  513 ?        S<     0:00  \_ [scsi_eh_5]
  527 ?        S<     0:00  \_ [kdmflush]
  528 ?        S<     0:00  \_ [kdmflush]
  529 ?        S<     0:00  \_ [kjournald]
  998 ?        S<     0:00  \_ [kauditd]
 1376 ?        S<     0:00  \_ [kmpathd/0]
 1377 ?        S<     0:00  \_ [kmpathd/1]
 1400 ?        S<     0:00  \_ [kjournald]
 1602 ?        R<     0:00  \_ [kondemand/0]
 1603 ?        S<     0:00  \_ [kondemand/1]
 2024 ?        S<     0:00  \_ [rpciod/0]
 2025 ?        S<     0:00  \_ [rpciod/1]
 2178 ?        S<     0:00  \_ [iscsi_eh]
 2190 ?        S<     0:00  \_ [ib_addr]
 2202 ?        S<     0:00  \_ [ib_mcast]
 2207 ?        S<     0:00  \_ [iw_cm_wq]
 2210 ?        S<     0:00  \_ [ib_cm/0]
 2211 ?        S<     0:00  \_ [ib_cm/1]
 2217 ?        S<     0:00  \_ [rdma_cm]
 2251 ?        S<     0:00  \_ [btaddconn]
 2253 ?        S<     0:00  \_ [btdelconn]
2268 ?        S<     0:00  \_ [krfcommd]
 4956 ?        S<     0:00  \_ [scsi_eh_6]
 4959 ?        S<     0:00  \_ [usb-storage]
    1 ?        Ss     0:00 /sbin/init
  581 ?        S<s    0:00 /sbin/udevd -d
 1886 ?        Ss     0:00 /sbin/dhclient -1 -q -lf /var/lib/dhclient/dhclient-e
 1959 ?        Sl     0:00 rsyslogd -c 3
 1980 ?        Ss     0:00 rpcbind
 1998 ?        Ss     0:00 rpc.statd
 2032 ?        Ss     0:00 rpc.idmapd
 2081 ?        Ssl    0:00 pcscd
 2121 ?        Ss     0:00 /usr/sbin/acpid
 2128 ?        S<sl   0:00 auditd
 2130 ?        S<sl   0:00  \_ /sbin/audispd
 2142 ?        Ss     0:00 dbus-daemon --system
 2154 ?        Ssl    0:00 automount
 2224 ?        Ss     0:00 iscsid
 2225 ?        S<Ls   0:00 iscsid
 2242 ?        Ss     0:00 /usr/sbin/hcid -s
 2293 ?        Ss     0:00 /usr/sbin/sshd
 2314 ?        Ss     0:00 ntpd -u ntp:ntp -p /var/run/ntpd.pid -g
 2333 ?        Ss     0:00 sendmail: accepting connections
 2341 ?        Ss     0:00 sendmail: Queue runner@01:00:00 for /var/spool/client
 2351 ?        Ss     0:00 /usr/sbin/gpm -m /dev/input/mice -t exps2
 2360 ?        S      0:00 nasd -b -local
 2368 ?        Ss     0:00 crond
 2390 ?        Ss     0:00 xfs -droppriv -daemon
 2396 ?        Ss     0:00 /usr/sbin/atd
 2407 ?        S      0:00 libvirtd --daemon
 2514 ?        S      0:00  \_ /usr/sbin/dnsmasq --keep-in-foreground --strict-o
 2446 ?        Ss     0:06 avahi-daemon: running [kir.local]
 2447 ?        Ss     0:00  \_ avahi-daemon: chroot helper
 2496 ?        Ss     0:00 cupsd
 2518 ?        SN     0:00 /usr/bin/python -tt /usr/sbin/yum-updatesd
 2520 ?        SN     0:00 /usr/libexec/gam_server
 2529 ?        Ss     0:00 hald
 2533 ?        S      0:00  \_ hald-runner
 2616 ?        S      0:00      \_ hald-addon-input: Listening on /dev/input/eve
 2628 ?        S      0:00      \_ /usr/libexec/hald-addon-cpufreq
 2629 ?        S      0:00      \_ hald-addon-acpi: listening on acpid socket /v
 2631 ?        S      0:00      \_ hald-addon-storage: no polling on /dev/sr0 be
 4977 ?        S      0:00      \_ hald-addon-usb-csr: listening on 'Mouse Recei
 5055 ?        S      0:00      \_ hald-addon-storage: polling /dev/sdb (every 2
 5062 ?        S      0:00      \_ hald-addon-storage: polling /dev/sdc (every 2
 2532 ?        Ssl    0:00 /usr/sbin/console-kit-daemon
 2660 ?        S      0:00 /usr/sbin/smartd -q never
 2663 tty4     Ss+    0:00 /sbin/mingetty tty4
 2664 tty5     Ss+    0:00 /sbin/mingetty tty5
 2668 tty6     Ss+    0:00 /sbin/mingetty tty6
 5063 ?        Ss     0:00 login -- kir
 5078 tty1     Ss     0:11  \_ -bash
11934 tty1     S+     0:00      \_ /bin/sh /usr/bin/startx -- :1
11953 tty1     S+     0:00          \_ xinit /home/kir/.xinitrc -- /usr/bin/X :1
11954 tty10    Ss+    0:04              \_ /usr/bin/X :1 -auth /home/kir/.server
11988 ?        Ss     0:00              \_ icewm-session
11989 ?        S      0:02                  \_ gkrellm
11994 ?        SNs    0:00                  \_ icewmbg
11995 ?        Ss     0:02                  \_ icewm
12008 ?        Ss     0:00                  |   \_ terminal
12009 ?        S      0:00                  |   |   \_ gnome-pty-helper
12010 pts/0    Ss     0:00                  |   |   \_ bash
12499 pts/0    R+     0:00                  |   |       \_ ps axf
12056 ?        Ss     0:00                  |   \_ /bin/sh /usr/lib64/firefox-3.
12077 ?        Sl     0:13                  |       \_ /usr/lib64/firefox-3.0.1/
11996 ?        Ss     0:00                  \_ icewmtray
 5449 tty7     Ss+    0:00 /sbin/mingetty tty7
 5454 tty8     Ss+    0:00 /sbin/mingetty tty8
 5641 ?        Ss     0:00 /usr/sbin/gdm-binary -nodaemon
10889 ?        S      0:00  \_ /usr/libexec/gdm-simple-slave --display-id /org/g
10890 tty9     Ss+    0:02      \_ /usr/bin/Xorg :0 -br -verbose -auth /var/run/
10926 ?        Ss     0:01      \_ /usr/libexec/gdm-simple-greeter
11321 ?        S      0:00      \_ /usr/libexec/gdm-session-worker
 5845 ?        S      0:00 /usr/libexec/gconfd-2 13
> 6086 ?        Rl    94:09 /usr/libexec/gnome-settings-daemon
 6089 ?        Sl     0:01  \_ /usr/bin/pulseaudio --log-target=syslog
> 6102 ?        Z      0:00  \_ [xrdb] <defunct>
> 6103 ?        Z      0:00  \_ [xrdb] <defunct>
> 6108 ?        Z      0:00  \_ [xrdb] <defunct>
> 6109 ?        Z      0:00  \_ [xrdb] <defunct>
> 6111 ?        Z      0:00  \_ [xrdb] <defunct>
> 6116 ?        Z      0:00  \_ [xrdb] <defunct>
> 6120 ?        Z      0:00  \_ [xrdb] <defunct>
> 6122 ?        Z      0:00  \_ [xrdb] <defunct>
> 6124 ?        Z      0:00  \_ [xrdb] <defunct>
>
>......... 1001 lines with xrdb zombies skipped for clarity .........
>
> 10632 ?        Z      0:00  \_ [xrdb] <defunct>
> 10633 ?        Z      0:00  \_ [xrdb] <defunct>
> 10634 ?        Z      0:00  \_ [xrdb] <defunct>
> 10637 ?        Z      0:00  \_ [xrdb] <defunct>
> 10640 ?        Z      0:00  \_ [xrdb] <defunct>
> 10776 ?        Z      0:00  \_ [xrdb] <defunct>
> 10781 ?        Z      0:00  \_ [xrdb] <defunct>
10004 tty3     Ss+    0:00 /sbin/mingetty tty3
10924 ?        Ss     0:00 /bin/dbus-daemon --fork --print-pid 5 --print-address
10925 ?        S      0:00 /usr/bin/dbus-launch --exit-with-session
10957 ?        S      0:00 /usr/libexec/gconfd-2 5
10967 ?        S      0:01 /usr/libexec/at-spi-registryd
10976 ?        Ssl    0:00 /usr/libexec/bonobo-activation-server --ac-activate -
10988 ?        Sl     0:18 /usr/libexec/gnome-settings-daemon
10996 ?        Sl     0:00  \_ /usr/bin/pulseaudio --log-target=syslog
11000 ?        S      0:00 /usr/libexec/gvfsd
11002 ?        S      0:00 metacity --replace
11992 ?        Ss     0:00 /bin/dbus-daemon --fork --print-pid 13 --print-addres
12107 tty2     Ss+    0:00 /sbin/mingetty tty2
Comment 1 Kir Kolyshkin 2008-08-20 04:25:47 EDT
Here's an except from strace, for those lazy folks that don't want to look in attachments. As you can see, gnome-settings-daemon repeats the following part in an endless loop:

6086  access("MARK: gnome-settings-daemon apply_settings: start ", F_OK) = -1 ENOENT (No such file or directory)
6086  open("/usr/share/gnome-settings-daemon/xrdb", O_RDONLY|O_NONBLOCK|O_DIRECTORY|0x80000) = 21
6086  fstat(21, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
6086  getdents(21, /* 8 entries */, 4096) = 240
6086  getdents(21, /* 0 entries */, 4096) = 0
6086  close(21)                         = 0
6086  stat("/home/kir/.gnome2/xrdb", 0x7fff2ee30540) = -1 ENOENT (No such file or directory)
6086  open("/usr/share/gnome-settings-daemon/xrdb/General.ad", O_RDONLY) = 21
6086  fstat(21, {st_mode=S_IFREG|0644, st_size=48, ...}) = 0
6086  read(21, "*background: BACKGROUND\n*foregro"..., 48) = 48
6086  close(21)                         = 0
6086  open("/usr/share/gnome-settings-daemon/xrdb/Editres.ad", O_RDONLY) = 21
6086  fstat(21, {st_mode=S_IFREG|0644, st_size=210, ...}) = 0
6086  read(21, "Editres*Tree.Background: WINDOW_"..., 210) = 210
6086  close(21)                         = 0
6086  open("/usr/share/gnome-settings-daemon/xrdb/Emacs.ad", O_RDONLY) = 21
6086  fstat(21, {st_mode=S_IFREG|0644, st_size=848, ...}) = 0
6086  read(21, "Emacs.default.attributeForegroun"..., 848) = 848
6086  close(21)                         = 0
6086  open("/usr/share/gnome-settings-daemon/xrdb/Motif.ad", O_RDONLY) = 21
6086  fstat(21, {st_mode=S_IFREG|0644, st_size=2102, ...}) = 0
6086  read(21, "*XmScrollBar.background: BACKGRO"..., 2102) = 2102
6086  close(21)                         = 0
6086  open("/usr/share/gnome-settings-daemon/xrdb/Tk.ad", O_RDONLY) = 21
6086  fstat(21, {st_mode=S_IFREG|0644, st_size=3427, ...}) = 0
6086  read(21, "*Toplevel.background: BACKGROUND"..., 3427) = 3427
6086  close(21)                         = 0
6086  open("/usr/share/gnome-settings-daemon/xrdb/Xaw.ad", O_RDONLY) = 21
6086  fstat(21, {st_mode=S_IFREG|0644, st_size=749, ...}) = 0
6086  read(21, "*MenuButton.background: BACKGROU"..., 749) = 749
6086  close(21)                         = 0
6086  access("/home/kir/.Xresources", F_OK) = -1 ENOENT (No such file or directory)
6086  access("/home/kir/.Xdefaults", F_OK) = -1 ENOENT (No such file or directory)
6086  pipe([21, 22])                    = 0
6086  pipe([23, 24])                    = 0
6086  clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f0926df3830) = -1 EAGAIN (Resource temporarily unavailable)
6086  close(21)                         = 0
6086  close(22)                         = 0
6086  close(23)                         = 0
6086  close(24)                         = 0
6086  write(2, "\n** (gnome-settings-daemon:6086)"..., 127) = 127
6086  access("MARK: gnome-settings-daemon apply_settings: end ", F_OK) = -1 ENOENT (No such file or directory)
6086  lstat("/etc/gtk-2.0/gtkrc", {st_mode=S_IFREG|0644, st_size=57, ...}) = 0
6086  open("/etc/gtk-2.0/gtkrc", O_RDONLY) = 21
6086  read(21, "gtk-theme-name = \"Nodoka\"\ngtk-ic"..., 4000) = 57
6086  access("MARK: gnome-settings-daemon apply_settings: start ", F_OK) = -1 ENOENT (No such file or directory)
Comment 2 Kir Kolyshkin 2008-08-20 04:39:35 EDT
$ rpm -q glib2
glib2-2.16.5-1.fc9.x86_64
glib2-2.16.5-1.fc9.i386
Comment 3 Kir Kolyshkin 2008-08-20 06:43:25 EDT
All right, looks like this is a bug in GTK.

The thing is, here is my ~/.gtkrc-2.0:

$ cat ~/.gtkrc-2.0 
include "/usr/share/themes/Crux/gtk-2.0/gtkrc"

Now, when I start /usr/libexec/gnome-settings-daemon, it enters the above-mentioned endless loop. PLUS, so does every gtk+ application (logjam, firefox, gkrellm, gnome-screensaver). What they all do is config file opening, and they do that in an endless loop.

The second I remove the "include" line everything goes back to normal.

Now, in order to trigger the bad behaviour again, I need add the "include" line and then restart gnome-settings-daemon.

Hope this gives enough to find out what the problem is.

TO REPRODUCE (easy as 1-2-3):
echo 'include "/usr/share/themes/Crux/gtk-2.0/gtkrc"' >> ~/.gtkrc-2.0
killall -TERM gnome-settings-daemon
/usr/libexec/gnome-settings-daemon
Comment 4 Bastien Nocera 2008-08-20 06:52:28 EDT
It's very likely the bug is in the theme itself. Could you please get the output of a GTK+ program being launched when recreating the problem?
Comment 5 Kir Kolyshkin 2008-08-20 07:15:34 EDT
No, this is not the bug in the theme. I have finally found the root cause.

    Both ~/.gtkrc-2.0 AND /desktop/gnome/interface/ contains property
    gtk_color_scheme. Apparently this drives gtk mad.

So, here's more presize way to trigger the bug:

    1. Set gtk_color_scheme in ~/.gtkrc-2.0:
    echo 'gtk_color_scheme = "fg_color:#100000000000; bg_color:#ecece9e9e9e9;
    text_color:#000000000000; base_color:#ffffffffffff;
    selected_fg_color:#ffffffffffff; selected_bg_color:#52a2ac71db93;
    tooltip_fg_color:#000000000000; tooltip_bg_color:#f5f5f5f5b5b5"' >>
    ~/.gtkrc-2.0

    2. Set gtk_color_scheme in GConf settings:
    gconftool-2 --type string --set /desktop/gnome/interface/gtk_color_scheme
    "fg_color:#000000000000; bg_color:#ecece9e9e9e9; text_color:#000000000000;
    base_color:#ffffffffffff; selected_fg_color:#ffffffffffff;
    selected_bg_color:#52a2ac71db93; tooltip_fg_color:#000000000000;
    tooltip_bg_color:#f5f5f5f5b5b5"

    ### Note that fg_color is different -- if all colors are the same, the bug
    won't be triggered.

    3. Restart gnome-settings-daemon:
    killall -TERM gnome-settings-daemon
    /usr/libexec/gnome-settings-daemon

Voila, everything goes boom. Now, to fix this, just change the value of
fg_color in ~/.gtkrc to match the one in GConf.
Comment 6 Kir Kolyshkin 2008-08-20 07:26:39 EDT
Changed the bug subject according to my latest findings.

Also I guess this bug belongs to gtk+ not gtk-engines, thus reassigning. I was able to reproduce it with both Crux and Nodoka, and can try any other theme you like.
Comment 7 Bug Zapper 2009-06-09 22:30:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:11:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Kir Kolyshkin 2009-09-28 12:03:43 EDT
Comment #5 described the way to reproduce the bug easily and reliably in about two minites.

It still works for me on Fedora 10, here's some more info:

[kir@kir ~]$ rpm -q fedora-release
fedora-release-10-1.noarch

[kir@kir ~]$ rpm -qa gnome\*
gnome-speech-0.4.22-1.fc10.x86_64
gnome-compiz-manager-0.10.4-4.fc10.x86_64
gnome-doc-utils-0.14.0-2.fc10.noarch
gnome-settings-daemon-2.24.1-7.fc10.x86_64
gnome-system-monitor-2.24.3-1.fc10.x86_64
gnome-terminal-2.24.3-1.fc10.x86_64
gnome-panel-2.24.3-2.fc10.x86_64
gnome-desktop-devel-2.24.3-1.fc10.x86_64
gnome-python2-extras-2.19.1-34.fc10.x86_64
gnome-python2-gtksourceview-2.23.0-1.fc10.x86_64
gnome-mag-0.15.4-1.fc10.x86_64
gnome-python2-desktop-2.23.0-1.fc10.x86_64
gnome-python2-bonobo-2.22.3-1.fc10.x86_64
gnome-spell-1.0.8-5.fc9.x86_64
gnome-doc-utils-stylesheets-0.14.0-2.fc10.noarch
gnome-python2-gnomedesktop-2.23.0-1.fc10.x86_64
gnome-backgrounds-2.24.0-2.fc10.noarch
gnome-games-2.24.3-2.fc10.x86_64
gnome-audio-2.22.2-2.fc10.noarch
gnome-python2-libwnck-2.23.0-1.fc10.x86_64
gnome-sharp-2.24.0-1.fc10.x86_64
gnome-vfs2-obexftp-0.4-8.fc10.x86_64
gnome-user-share-0.40-3.fc10.x86_64
gnome-media-2.24.0.1-2.fc10.x86_64
gnome-user-docs-2.24.2-1.fc10.noarch
gnome-session-xsession-2.24.3-1.fc10.x86_64
gnome-python2-gnomevfs-2.22.3-1.fc10.x86_64
gnome-python2-gnomeprint-2.23.0-1.fc10.x86_64
gnome-pilot-2.0.16-2.fc9.x86_64
gnome-vfs2-devel-2.24.0-3.fc10.x86_64
gnome-vfs2-2.24.0-3.fc10.x86_64
gnome-keyring-devel-2.24.1-1.fc10.x86_64
gnome-vfs2-smb-2.24.0-3.fc10.x86_64
gnome-pilot-devel-2.0.16-2.fc9.x86_64
gnome-keyring-pam-2.24.1-1.fc10.x86_64
gnome-menus-2.24.2-1.fc10.x86_64
gnome-session-2.24.3-1.fc10.x86_64
gnome-applets-2.24.3.1-1.fc10.x86_64
gnome-panel-libs-2.24.3-2.fc10.x86_64
gnome-common-2.26.0-2.fc10.noarch
gnome-python2-gtkmozembed-2.19.1-34.fc10.x86_64
gnome-python2-rsvg-2.23.0-1.fc10.x86_64
gnome-bluetooth-0.11.0-5.fc10.x86_64
gnome-python2-gnome-2.22.3-1.fc10.x86_64
gnome-netstatus-2.26.0-1.fc10.x86_64
gnome-mime-data-2.18.0-3.fc10.noarch
gnome-keyring-2.24.1-1.fc10.x86_64
gnome-python2-canvas-2.22.3-1.fc10.x86_64
gnome-screensaver-2.24.1-2.fc10.x86_64
gnome-packagekit-0.3.14-1.fc10.x86_64
gnome-python2-gtkhtml2-2.19.1-34.fc10.x86_64
gnome-mount-0.8-1.fc9.x86_64
gnome-menus-devel-2.24.2-1.fc10.x86_64
gnome-volume-manager-2.24.0-1.fc10.x86_64
gnome-compiz-manager-devel-0.10.4-4.fc10.x86_64
gnome-utils-2.24.1-1.fc10.x86_64
gnome-desktop-sharp-2.24.0-3.fc10.x86_64
gnome-icon-theme-2.24.0-1.fc10.noarch
gnome-python2-2.22.3-1.fc10.x86_64
gnome-bluetooth-libs-0.11.0-5.fc10.x86_64
gnome-desktop-2.24.3-1.fc10.x86_64
gnome-themes-2.24.3-1.fc10.noarch
gnome-python2-gconf-2.22.3-1.fc10.x86_64
gnome-python2-applet-2.23.0-1.fc10.x86_64
gnome-panel-devel-2.24.3-2.fc10.x86_64
gnome-python2-libegg-2.19.1-34.fc10.x86_64

[kir@kir ~]$ rpm -qa gtk\*
gtk-vnc-0.3.8-4.fc10.x86_64
gtk-nodoka-engine-0.7.2-5.fc10.x86_64
gtkspell-devel-2.0.15-1.fc10.x86_64
gtk-sharp2-2.12.7-1.fc10.1.x86_64
gtkspell-2.0.15-1.fc10.x86_64
gtkhtml2-2.11.1-4.fc10.x86_64
gtksourceview2-2.4.2-1.fc10.x86_64
gtkhtml3-3.24.5-1.fc10.x86_64
gtk2-devel-2.14.7-8.fc10.x86_64
gtk2-engines-2.16.1-1.fc10.x86_64
gtkglext-libs-1.2.0-7.fc10.x86_64
gtk+-1.2.10-68.fc10.x86_64
gtk2-2.14.7-8.fc10.x86_64
gtkmm24-2.14.3-1.fc10.x86_64
gtk2-2.14.7-8.fc10.i386
gtk-doc-1.10-2.fc10.noarch
gtk+-1.2.10-68.fc10.i386
gtksourceview-1.8.5-5.fc10.x86_64


Please fix. Let me know if you need some more info from me
Comment 10 Bug Zapper 2009-11-18 02:54:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:19:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.